<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
		  xmlns:nkfn="/WEB-INF/nekurakFunkce"
		  version="2.0">

	<jsp:directive.attribute name="titulek" type="java.lang.String" required="false"/>
	<jsp:directive.tag description="Obaluje všechny stránky – obsahuje XHTML záhlaví a zápatí"/>

	<jsp:output doctype-public="-//W3C//DTD XHTML 1.1 plus MathML 2.0 plus SVG 1.1//EN"
				doctype-system="http://www.w3.org/2002/04/xhtml-math-svg/xhtml-math-svg.dtd"
				doctype-root-element="html"
				omit-xml-declaration="false"/>

	<c:set var="prihlasenyUzivatel" scope="request" value="${pageContext.request.userPrincipal.name}"/>
	<!-- zc = základní cesta = contextPath s lomítkem na konci -->
	<c:set var="zc" scope="application" value="${pageContext.request.contextPath}/"/>

	<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<c:choose>
				<c:when test="${titulek == null}">
					<title><fmt:message key="nazev"/></title>
				</c:when>
				<c:otherwise>
					<title>${fn:escapeXml(titulek)} – <fmt:message key="nazev"/></title>
				</c:otherwise>
			</c:choose>
			<link href="${zc}styl.css" type="text/css" rel="StyleSheet"/>
			<link href="${zc}js/colorbox/colorbox.css" type="text/css" rel="StyleSheet"/>
			<script type="text/javascript" src="${zc}js/jquery.js"></script>
			<script type="text/javascript" src="${zc}js/jquery.bxSlider.js"></script>
			<script type="text/javascript" src="${zc}js/colorbox/jquery.colorbox-min.js"></script>
			<script type="text/javascript" src="${zc}js/hlasovani.js"></script>
			<script type="text/javascript" src="${zc}js/komentare.js"></script>
			<script type="text/javascript" src="${zc}js/fotkyPodniku.js"></script>
			<link rel="alternate" type="application/atom+xml" title="podniky" href="${zc}atom/" />
			<fmt:message key="meta.popis" var="metaPopis"/>
			<fmt:message key="meta.klicova-slova" var="metaKlicovaSlova"/>
			<fmt:message key="meta.autor" var="metaAutor"/>
			<meta name="description" content="${metaPopis}"/>
			<meta name="keywords" content="${metaKlicovaSlova}" />
			<meta name="author" content="${metaAutor}"/>
			<meta name="robots" content="index, follow" />
		</head>
		<body>
			<p id="csrfToken"><c:out value="${sessionScope['CSRF_TOKEN']}"/></p>
			<script type="text/javascript">
				var nekurak = {};
				nekurak.contextPath = "${zc}";
			</script>
			<div class="body">

				<div id="horniPruh">
					<h1><a href="${zc}"><fmt:message key="nazev"/></a></h1>
				</div>

				<ul id="nabidka">
					<li><a href="${zc}"><fmt:message key="uvod"/></a></li>
					<!-- TODO: použít Jabberot, dočasně vypnuté
					<li><a href="?akce=chat"><fmt:message key="chat.nadpis"/></a></li>
					-->

					<c:choose>
						<c:when test="${prihlasenyUzivatel == null}">
							<li><a href="${zc}?akce=prihlaseni"><fmt:message key="prihlasitSe"/></a></li>
							<li><a href="${zc}?akce=registrovatUzivatele"><fmt:message key="registrovatSe"/></a></li>
						</c:when>
						<c:otherwise>
							<li><a href="${zc}?akce=pridatPodnik"><fmt:message key="pridatPodnik"/></a></li>
							<li id="prihlasenyUzivatel"><fmt:message key="prihlasenyUzivatel"/>: ${prihlasenyUzivatel}</li>
							<li><a href="${zc}?akce=prihlaseni&amp;amp;odhlasit=ano"><fmt:message key="odhlasitSe"/></a></li>
						</c:otherwise>
					</c:choose>

				</ul>

				<nk:prepinaniJazyku/>

				<div id="obsah">

					<!-- Vlastní obsah stránky -->
					<jsp:doBody/>

				</div>

				<div id="paticka">
					<p>
						<fmt:message key="licence"/>&amp;#160;
						<a href="${zc}nekurak.net-src.zip">nekurak.net-src.zip</a>
						<a href="${zc}nekurak.net-src.zip.SHA-512">.</a>
					</p>
				</div>

			</div>
		</body>
	</html>

</jsp:root>